import request from '@/utils/request'

// 查询设备异常数据信息列表
export function listAb(query) {
  return request({
    url: '/project/ab/list',
    method: 'get',
    params: query
  })
}

// 查询设备异常数据信息详细
export function getAb(id) {
  return request({
    url: '/project/ab/' + id,
    method: 'get'
  })
}

// 新增设备异常数据信息
export function addAb(data) {
  return request({
    url: '/project/ab',
    method: 'post',
    data: data
  })
}

// 修改设备异常数据信息
export function updateAb(data) {
  return request({
    url: '/project/ab',
    method: 'put',
    data: data
  })
}

// 删除设备异常数据信息
export function delAb(id) {
  return request({
    url: '/project/ab/' + id,
    method: 'delete'
  })
}
